> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Health ping

> Health check for the API to verify if the API is operational.



## OpenAPI

````yaml get /api/health/ping
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/health/ping:
    get:
      tags:
        - Health checks
      summary: Health ping
      description: Health check for the API to verify if the API is operational.
      operationId: health_check_api_health_ping_get
      responses:
        '200':
          description: Health check successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthCheckResponse'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
components:
  schemas:
    HealthCheckResponse:
      properties:
        status:
          type: string
          title: Status
          description: The current health status of the API.
        version:
          type: string
          title: Version
          description: The version of the API currently running.
        build_number:
          type: string
          title: Build Number
          description: The build number of the deployed API.
      type: object
      required:
        - status
        - version
        - build_number
      title: HealthCheckResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse

````